{% comment %} <nav class="nav navbar-dark  bg-dark " style="color:white;">
  <a class="nav-link active" aria-current="page" href="{% url 'blog:home' %}">Home</a>
  {% if request.user.is_authenticated %}  
    <a class="nav-link" href="{% url 'account:profile' %}">Profile</a>
    <a class="nav-link" href="{% url 'account:logout' %}">Logout</a>
  {% else %}
    <a class="nav-link" href="{% url 'account:login' %}">Login</a>
    <a class="nav-link" href="{% url 'account:signup' %}">SignUp</a>
  {% endif %} 
  <p class="nav-link" style=" border: 1px solid white"><b>User: {{ request.user.username }}</b><p>
</nav> {% endcomment %}

{% load static %}
<nav class="navbar navbar-expand-lg navbar-expand-md navbar-dark bg-dark">
  <div class="container-fluid flex-wrap flex-md-nowrap"  aria-label="Main navigation">
   <a href="{% url 'blog:home'%}"><img class="rounded" src="{% static 'logo1.png' %}" id='logo' style=" height: 45px; width: 88px;"></a>
   
 <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav me-auto mb-2 mb-lg-0">
        <li class="nav-item">
            <a class="nav-link active" aria-current="page" href="{% url 'blog:home' %}">Home</a>
        </li>
        {% if request.user.is_authenticated %}  
          <li class="nav-item">
            <a class="nav-link active" aria-current="page" href="{% url 'account:profile' %}">Profile</a>
          </li>
          <li class="nav-item">
            <a class="nav-link active" href="{% url 'account:logout' %}">Logout</a>
          </li>
          
        {% else %}
           <li class="nav-item">
            <a class="nav-link active" aria-current="page" href="{% url 'account:login' %}">Login</a>
          </li>
          <li class="nav-item">
            <a class="nav-link active"  href="{% url 'account:signup' %}">SignUp</a>
          </li>
        {% endif %}

 
      </ul>

      {% if request.user.is_authenticated %}
       <p class="nav-link" style="color:white;" ><b>User: {{ request.user.username }}</b><p>
      {% endif %}
      <form class="d-flex" action="{% url 'blog:post-search' %}" method="GET">
        <input class="form-control me-2" type="search" name="keyword" placeholder="Search" aria-label="Search">
        <button class="btn btn-outline-success" type="submit">Search</button>
      </form>
    </div>
  </div>
</nav>
{% comment %} 
<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <div class="container-fluid">
    <a class="navbar-brand" href="#">Navbar</a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav me-auto mb-2 mb-lg-0">
        <li class="nav-item">
          <a class="nav-link active" aria-current="page" href="#">Home</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="#">Link</a>
        </li>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
            Dropdown
          </a>
          <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
            <li><a class="dropdown-item" href="#">Action</a></li>
            <li><a class="dropdown-item" href="#">Another action</a></li>
            <li><hr class="dropdown-divider"></li>
            <li><a class="dropdown-item" href="#">Something else here</a></li>
          </ul>
        </li>
        <li class="nav-item">
          <a class="nav-link disabled">Disabled</a>
        </li>
      </ul>
      <form class="d-flex">
        <input class="form-control me-2" type="search" placeholder="Search" aria-label="Search">
        <button class="btn btn-outline-success" type="submit">Search</button>
      </form>
    </div>
  </div>
</nav> {% endcomment %}